Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Python 2 en 3 combinatie-probleem OPGELOST gebruik nu 2.6  (gelezen 1538 keer)

Offline BaukeP

  • Lid
  • Steunpunt: Nee
Python 2 en 3 combinatie-probleem OPGELOST gebruik nu 2.6
« Gepost op: 2010/03/11, 15:26:23 »
Hallo,

Ik heb een probleempje met python en de wx module (no module named wx)

Als ik de 2.6 versie van python opstart (python programma.pyw) gaat het goed.
Als ik de 3 versie van python opstart (python3 programma.pyw) gaat het fout.

Hieronder de PYTHONPATH versies van 2.6 en 3

bauke@LTop:~$ python
Python 2.6.4 (r264:75706, Dec  7 2009, 18:43:55)
[GCC 4.4.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> for line in sys.path: print line
...

/usr/lib/python2.6
/usr/lib/python2.6/plat-linux2
/usr/lib/python2.6/lib-tk
/usr/lib/python2.6/lib-old
/usr/lib/python2.6/lib-dynload
/usr/lib/python2.6/dist-packages
/usr/lib/python2.6/dist-packages/PIL
/usr/lib/python2.6/dist-packages/gst-0.10
/usr/lib/pymodules/python2.6
/usr/lib/python2.6/dist-packages/gtk-2.0
/usr/lib/pymodules/python2.6/gtk-2.0
/usr/lib/python2.6/dist-packages/wx-2.6-gtk2-unicode
/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode
/usr/local/lib/python2.6/dist-packages
>>>

bauke@LTop:~$ python3
Python 3.1.1+ (r311:74480, Nov  2 2009, 15:45:00)
[GCC 4.4.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> for line in sys.path: print (line)
...

/usr/lib/python3.1
/usr/lib/python3.1/plat-linux2
/usr/lib/python3.1/lib-dynload
/usr/lib/python3.1/dist-packages
/usr/local/lib/python3.1/dist-packages
>>>

Ik heb het PYTHONPATH van de 3 versie aangepast met:
bauke@LTop:~$ python3
Python 3.1.1+ (r311:74480, Nov  2 2009, 15:45:00)
[GCC 4.4.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> sys.path.append("/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode")
>>>
>>> for line in sys.path: print (line)
...

/usr/lib/python3.1
/usr/lib/python3.1/plat-linux2
/usr/lib/python3.1/lib-dynload
/usr/lib/python3.1/dist-packages
/usr/local/lib/python3.1/dist-packages
/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode
>>>

Maar dat lost niets op.

Wat moet ik doen om python3 te gebruiken samen met wx?

De menu keuze IDLE (using Python 3.1) doet het dus ook niet en ik wil voor mijn programma's (python probeersels) python3 gebruiken.

Alvast bedankt voor jullie hulp in dezen,

Bauke
« Laatst bewerkt op: 2010/04/23, 00:11:15 door BaukeP »

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #1 Gepost op: 2010/03/11, 15:30:48 »
Ik weet dat veel modules nog niet zijn geport naar Python 3. Dus misschien Wx ook nog niet.

Kijk eens in Synaptic waar Wx zijn bestanden installeert. Als daar geen */python3/* paden tussenstaan, dan zou ik eens op hun website kijken en/of hun mailinglijsten (misschien ook forum) over wat er al allemaal gezegd is geweest over het porten naar Python 3.

Offline BaukeP

  • Lid
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #2 Gepost op: 2010/03/11, 15:48:02 »
Waar zie ik in Synaptics de paden waarin geinstalleerd wordt?

Bauke

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #3 Gepost op: 2010/03/11, 16:05:18 »
Doe eens in een terminal: whereis python
En dan verder een beetje rondkijken in directories. Hier leer je vanzelf wel meer van....
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #4 Gepost op: 2010/03/11, 16:08:07 »
Of gebruik locate.
Doe eerst: sudo updatedb
Vervolgens: locate python | grep wx

Dit zijn maar wat tips over hoe ik in het algemeen welles dingetjes vind...
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #5 Gepost op: 2010/03/11, 17:04:59 »
In Synaptic rechtsklikken op een geinstalleerd pakket en kiezen vor "Eigenschappen". Daar is een tabblad "Geinstalleerde bestanden" als ik het goed heb, waar ge kunt zien wat waar staat.

Offline BaukeP

  • Lid
  • Steunpunt: Nee
Re: Python 2 en 3 combinatie-probleem
« Reactie #6 Gepost op: 2010/03/11, 19:50:44 »
Nunslaughter,

Stom van mij; niet even rechtsklikken!
Weer wat geleerd.

De rest ook bedankt

Bauke